Bug 205867 - www/otrs: Mail scheduler fails, missing dependency
Summary: www/otrs: Mail scheduler fails, missing dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Wen Heping
URL:
Keywords: easy, patch, patch-ready
Depends on: 205247
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-04 09:21 UTC by akuz84
Modified: 2016-02-22 10:16 UTC (History)
4 users (show)

See Also:
koobs: maintainer-feedback+
koobs: merge-quarterly?


Attachments
Add dependency for sysutils/p5-Schedule-Cron-Events (698 bytes, patch)
2016-01-04 09:21 UTC, akuz84
m.tsatsenko: maintainer-approval-
Details | Diff
revised patch (1004 bytes, patch)
2016-01-09 16:02 UTC, m.tsatsenko
m.tsatsenko: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description akuz84 2016-01-04 09:21:26 UTC
Created attachment 165041 [details]
Add dependency for sysutils/p5-Schedule-Cron-Events

Since version 5.x otrs didn't uses  bin/otrs.Scheduler.pl. For mail tasks scheduling otrs uses  perl module Since version 5.x otrs didn't uses  bin/otrs.Scheduler.pl. For mail tasks scheduling otrs uses  perl module Schedule-Cron-Events, but there is no dependence in Makefile for this module. Without this module otrs wouldn't fetch mail. Fixed version of Makefile in attachment., but there is no dependence in Makefile for this module. Without this module otrs wouldn't fetch mail. Fixed version of Makefile in attachment.
Comment 1 akuz84 2016-01-04 09:27:59 UTC
Since version 5.x otrs didn't uses  bin/otrs.Scheduler.pl. For mail tasks scheduling otrs uses  perl module Schedule-Cron-Events, but there is no dependence in Makefile for this module. Without this module otrs wouldn't fetch mail. Fixed version of Makefile in attachment.
Comment 2 VK freebsd_triage 2016-01-07 18:35:32 UTC
Thanks for the submission. Can you confirm the patch passes tests (poudriere builds)?
Comment 3 akuz84 2016-01-08 15:14:31 UTC
(In reply to Vladimir Krstulja from comment #2)
i didn't try to build otrs using poudriere. Anyway 'make test' passed normally.
Comment 4 m.tsatsenko 2016-01-09 14:00:24 UTC
Hi,
Thanks for reporting the issue, but portlint fails with the patch applied:
WARN: Makefile: no port directory /usr/ports/sysutils/p5-Schedule-Cron-Events found, even though it is listed in BUILD_DEPENDS.
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-09 14:01:44 UTC
(In reply to m.tsatsenko from comment #4)

It was committed 6 days ago, is your ports tree up to date?

https://freshports.org/sysutils/p5-Schedule-Cron-Events/
Comment 6 m.tsatsenko 2016-01-09 16:02:46 UTC
Created attachment 165318 [details]
revised patch

Sorry, my mistake.
The patch is fine.
I just added NO_ARCH=YES since there is no any arch specific file in the port.

QA: http://pkg.powerbsd.net/logs/bulk/93amd64-default/2016-01-09_18h54m33s/logs/otrs-5.0.3_1.log
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-09 16:04:42 UTC
Don't forget to set maintainer-approval to "-" on attachment 165041 [details] :)
Comment 8 peo 2016-01-17 21:00:26 UTC
I had to install
textproc/p5-HTML-Truncate
as well:
Message: Kernel::System::HTMLUtils could not be loaded: Can't locate HTML/Truncate.pm in @INC (you may need to install the HTML::Truncate module)
Comment 9 Raphael Kubo da Costa freebsd_committer 2016-02-18 10:59:26 UTC
m.tsatsenko@gmail.com: do you need to update your patch to address comment #8?
Comment 10 m.tsatsenko 2016-02-18 22:45:24 UTC
(In reply to Raphael Kubo da Costa from comment #9)
(In reply to peo from comment #8)
No I dont, at least for now. Thanks. As far I can see the software has its own bundled version of HTML::Truncate.
I suppose there is some local problem (broken or incomplete installation maybe). In case if I get a confirmation from someone else I will submit another PR to add dependency on textproc/p5-HTML-Truncate.
Comment 11 commit-hook freebsd_committer 2016-02-19 08:18:56 UTC
A commit references this bug:

Author: wen
Date: Fri Feb 19 08:18:09 UTC 2016
New revision: 409158
URL: https://svnweb.freebsd.org/changeset/ports/409158

Log:
  - Add missing dependency

  PR:		205867
  Submitted by:	akuz84@gmail.com
  Approved by:	maintainer

Changes:
  head/www/otrs/Makefile
Comment 12 Wen Heping freebsd_committer 2016-02-19 08:23:23 UTC
otrs-5.0.7 released two days ago.

wen
Comment 13 Raphael Kubo da Costa freebsd_committer 2016-02-19 10:15:07 UTC
Wen, you forgot about the  2016Q1 branch.
Comment 14 commit-hook freebsd_committer 2016-02-21 12:16:36 UTC
A commit references this bug:

Author: rakuco
Date: Sun Feb 21 12:16:02 UTC 2016
New revision: 409284
URL: https://svnweb.freebsd.org/changeset/ports/409284

Log:
  MFH: r409158

  - Add missing dependency

  PR:		205867
  Submitted by:	akuz84@gmail.com
  Approved by:	maintainer

  Approved by:	portmgr blanket approval
  Overlooked by:	wen

Changes:
_U  branches/2016Q1/
  branches/2016Q1/www/otrs/Makefile
Comment 15 commit-hook freebsd_committer 2016-02-22 10:16:30 UTC
A commit references this bug:

Author: rakuco
Date: Mon Feb 22 10:16:19 UTC 2016
New revision: 409327
URL: https://svnweb.freebsd.org/changeset/ports/409327

Log:
  MFH: r405175

  [Backporting this change is necessary after r409158 introduced a requirement
  on this port in the 2016Q1 branch]

  - Add p5-Schedule-Cron-Events 1.94
  - While I'm here, add NO_ARCH

  Given a line from a crontab, tells you the time at which cron will next run the
  line, or when the last event occurred, relative to any date you choose. The
  object keeps that reference date internally, and updates it when you call
  nextEvent() or previousEvent() - such that successive calls will give you a
  sequence of events going forward, or backwards, in time.

  Use setCounterToNow() to reset this reference time to the current date on your
  system, or use setCounterToDate() to set the reference to any arbitrary time, or
  resetCounter() to take the object back to the date you constructed it with.

  This module uses Set::Crontab to understand the date specification, so we should
  be able to handle all forms of cron entries.

  WWW: http://search.cpan.org/dist/Schedule-Cron-Events/

  PR:		205247
  Submitted by:	Andrey Kuzmin <akuz84@gmail.com>

  PR:		205867
  Approved by:	portmgr (antoine)

Changes:
_U  branches/2016Q1/
  branches/2016Q1/sysutils/Makefile
  branches/2016Q1/sysutils/p5-Schedule-Cron-Events/